Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.uddi.client.structures.datatypes
Class ServiceInfo

    java.lang.Object
      weblogic.uddi.client.structures.datatypes.ServiceInfo

    public class ServiceInfo

extends Object

ServiceInfo structure is used to represent a service in the service list response from a find_service call.

Constructor Summary
`ServiceInfo()` Class constructor.

Method Summary
`String` | `getBusinessKey()` Gets the value of the business key.
`Name` | `getName()` Gets the name.
`String` | `getServiceKey()` Gets the value of the service key.
`void` | `setBusinessKey(String value)` Sets the value of the business key.
`void` | `setName(Name value)` Sets the name.
`void` | `setName(String value)` Sets the name string.
`void` | `setServiceKey(String value)` Sets the value of the service key.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceInfo

    public ServiceInfo()

  Class constructor.

Method Detail

### getName

    public Name getName()

  Gets the name.

  Returns:
    the current name.

### setName

    public void setName(String value)

  Sets the name string.

  Parameters:
    `value` - the new name string.

### setName

    public void setName(Name value)

  Sets the name.

  Parameters:
    `value` - the new name.

### getServiceKey

    public String getServiceKey()

  Gets the value of the service key.

  Returns:
    the current value of the service key.

### setServiceKey

    public void setServiceKey(String value)

  Sets the value of the service key.

  Parameters:
    `value` - the new value of the service key.

### getBusinessKey

    public String getBusinessKey()

  Gets the value of the business key.

  Returns:
    the current value of the business key.

### setBusinessKey

    public void setBusinessKey(String value)

  Sets the value of the business key.

  Parameters:
    `value` - the new value of the business key.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD